/* All Mass Media
 * Copyright (C) 2005 Daniel Denev
 * http://theworldmassmedia.com/
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace amm.pages.help
{
	/// <summary>
	/// Summary description for main.
	/// </summary>
	public class recover : ForumPage
	{
		protected controls.PageLinks PageLinks;

		public recover() : base(null)
		{
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack) 
			{
				PageLinks.AddLink(BoardSettings.Name,Forum.GetLink(Pages.forum));
				PageLinks.AddLink("Help",Forum.GetLink(Pages.help_index));
				PageLinks.AddLink("Recover lost passwords",Forum.GetLink(Pages.help_recover));
				BindData();
			}
		}

		private void BindData() 
		{
			DataBind();
		}

		override protected void OnInit(EventArgs e)
		{
			this.Load += new System.EventHandler(this.Page_Load);
			base.OnInit(e);
		}
	}
}
