Imports System.Web.Mail

Public Class MailMessageDemo
  Inherits System.Web.UI.Page
  Protected WithEvents btnClear As System.Web.UI.WebControls.Button
  Protected WithEvents btnSend As System.Web.UI.WebControls.Button
  Protected WithEvents txtBody As System.Web.UI.WebControls.TextBox
  Protected WithEvents Label5 As System.Web.UI.WebControls.Label
  Protected WithEvents txtSubject As System.Web.UI.WebControls.TextBox
  Protected WithEvents Label4 As System.Web.UI.WebControls.Label
  Protected WithEvents txtTo As System.Web.UI.WebControls.TextBox
  Protected WithEvents Label3 As System.Web.UI.WebControls.Label
  Protected WithEvents txtFrom As System.Web.UI.WebControls.TextBox
  Protected WithEvents Label2 As System.Web.UI.WebControls.Label
  Protected WithEvents Label6 As System.Web.UI.WebControls.Label
  Protected WithEvents txtCC As System.Web.UI.WebControls.TextBox
  Protected WithEvents txtBCC As System.Web.UI.WebControls.TextBox
  Protected WithEvents Label7 As System.Web.UI.WebControls.Label
    Protected WithEvents Label9 As System.Web.UI.WebControls.Label
  Protected WithEvents lstAttachments As System.Web.UI.WebControls.ListBox
  Protected WithEvents btnAdd As System.Web.UI.WebControls.Button
  Protected WithEvents txtAttachment As System.Web.UI.WebControls.TextBox
  Protected WithEvents btnRemove As System.Web.UI.WebControls.Button
  Protected WithEvents Label10 As System.Web.UI.WebControls.Label
  Protected WithEvents ddlFormat As System.Web.UI.WebControls.DropDownList
    Protected WithEvents Label8 As System.Web.UI.WebControls.Label
    Protected WithEvents ddlPriority As System.Web.UI.WebControls.DropDownList
    Protected WithEvents Label1 As System.Web.UI.WebControls.Label

#Region " Web Form Designer Generated Code "

  'This call is required by the Web Form Designer.
  <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub

  Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
    'CODEGEN: This method call is required by the Web Form Designer
    'Do not modify it using the code editor.
    InitializeComponent()
  End Sub

#End Region

  Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    If Not Page.IsPostBack Then
      FillListWithEnum(ddlPriority, GetType(Mail.MailPriority))
      FillListWithEnum(ddlFormat, GetType(Mail.MailFormat))
    End If
  End Sub

  Private Sub FillListWithEnum( _
    ByVal lc As ListControl, ByVal typ As Type)

    ' Given an enumeration type, and a list control
    ' to fill, fill the list with all the names
    ' in the enumeration, and the values with the 
    ' numeric values of the items. Note that the 
    ' Value property of a ListItem is a string, so
    ' this code converts the values into text. You'll
    ' need to convert them back, later.
    If typ.IsEnum Then
      lc.Items.Clear()

      Dim obj As Object
      Dim li As ListItem
      For Each obj In System.Enum.GetValues(typ)
        li = New ListItem(System.Enum.GetName(typ, obj), CStr(obj))
        lc.Items.Add(li)
      Next
    End If
  End Sub

  Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
    If txtAttachment.Text <> String.Empty Then
      lstAttachments.Items.Add(txtAttachment.Text)
      txtAttachment.Text = String.Empty
    End If
  End Sub

  Private Sub btnRemove_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRemove.Click
    Dim intSelected As Integer = lstAttachments.SelectedIndex
    If intSelected > -1 Then
      lstAttachments.Items.RemoveAt(intSelected)
    End If
  End Sub

  Private Sub btnSend_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSend.Click

    ' Handle the simple properties.
    Dim msg As New MailMessage()
    msg.From = txtFrom.Text
    msg.To = txtTo.Text
    msg.Cc = txtCC.Text
    msg.Bcc = txtBCC.Text
    msg.Subject = txtSubject.Text
    msg.Body = txtBody.Text

    ' Handle the more complex properties.
    Dim li As ListItem
    For Each li In lstAttachments.Items
      msg.Attachments.Add(New MailAttachment(li.Text))
    Next

    msg.BodyFormat = CType(ddlFormat.SelectedItem.Value, Mail.MailFormat)
    msg.Priority = CType(ddlPriority.SelectedItem.Value, Mail.MailPriority)
    SmtpMail.Send(msg)
  End Sub

End Class
