using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using ASmsCtrl;

namespace SendSms
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	///
	public class WebForm1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DropDownList DropDownDevice;
		protected System.Web.UI.WebControls.DropDownList DropDownSpeed;
		protected System.Web.UI.WebControls.TextBox TextRecipient;
		protected System.Web.UI.WebControls.TextBox TextMessage;
		protected System.Web.UI.WebControls.Button ButtonSend;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
	
		private GsmOut objGsmOut;

		private void Page_Load(object sender, System.EventArgs e)
		{
			objGsmOut = new GsmOut();

			for ( int i = 0; i < objGsmOut.GetDeviceCount (); i++)
			{
				DropDownDevice.Items.Add ( objGsmOut.GetDevice ( i ));
			}

			DropDownDevice.Items.Add ( "COM1" );
			DropDownDevice.Items.Add ( "COM2" );
			DropDownDevice.Items.Add ( "COM3" );
			DropDownDevice.Items.Add ( "COM4" );
			DropDownDevice.Items.Add ( "COM5" );
			DropDownDevice.Items.Add ( "COM6" );
			DropDownDevice.Items.Add ( "COM7" );
			DropDownDevice.Items.Add ( "COM8" );

			DropDownSpeed.Items.Add ( "Default" );
			DropDownSpeed.Items.Add ( "1200" );
			DropDownSpeed.Items.Add ( "2400" );
			DropDownSpeed.Items.Add ( "4800" );
			DropDownSpeed.Items.Add ( "9600" );
			DropDownSpeed.Items.Add ( "19200" );
			DropDownSpeed.Items.Add ( "38400" );
			DropDownSpeed.Items.Add ( "57600" );
			DropDownSpeed.Items.Add ( "115200" );
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ButtonSend.Click += new System.EventHandler(this.ButtonSend_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void ButtonSend_Click(object sender, System.EventArgs e)
		{
			objGsmOut.Device = DropDownDevice.SelectedItem.Text.ToString();
			
			if ( DropDownSpeed.SelectedIndex == 0 )
			{
				objGsmOut.DeviceSpeed = 0;			// Default;
			}
			else
			{
				objGsmOut.DeviceSpeed = System.Int32.Parse( DropDownSpeed.SelectedItem.Value.ToString () );
			}

			objGsmOut.MessageRecipient = TextRecipient.Text.ToString();
			objGsmOut.MessageData = TextMessage.Text.ToString();

			objGsmOut.LogFile = "C:\\SMSLog.txt";
            
			objGsmOut.Send ();

			if ( objGsmOut.LastError == 0 )
			{
				Form1.InnerHtml = "<b><font size=\"2\" >";
				Form1.InnerHtml+= "Your message was submitted successfully";
				Form1.InnerHtml+= "<br>";
				Form1.InnerHtml+= "<br>";
				Form1.InnerHtml+= "Message Reference: " + objGsmOut.MessageReference.ToString ();
				Form1.InnerHtml+= "</font></b>";
			}
			else
			{
				Form1.InnerHtml = "<b><font size=\"2\" color =\"700000\" >";
				Form1.InnerHtml+= "Failed to send message, ERROR#";
				Form1.InnerHtml+= objGsmOut.LastError.ToString();
				Form1.InnerHtml+= " : ";
				Form1.InnerHtml+= objGsmOut.GetErrorDescription ( objGsmOut.LastError );
				Form1.InnerHtml+= "</font></b>";
			}
		}
	}
}
