﻿<%@ Page Language="C#" %>
<%@ import Namespace="System.Drawing.Imaging" %>
<script runat="server">

//Send feedback to dotnut@hotmail.com
//Pics folder has to be created under the current folder

   void UploadBtn_Click(Object sender, EventArgs e)
    {
      
	   String UploadedFile = MyFile.PostedFile.FileName;
	   int ExtractPos =	UploadedFile.LastIndexOf("\\") + 1;
	 
	   //to retrieve only Filename from the complete path
	   String UploadedFileName =  UploadedFile.Substring(ExtractPos,UploadedFile.Length - ExtractPos);
       
	   
	   // Display information about posted file. Div is invisible by default	  
	   FileName.InnerHtml =UploadedFileName;
       MyContentType.InnerHtml = MyFile.PostedFile.ContentType;
       ContentLength.InnerHtml =                              MyFile.PostedFile.ContentLength.ToString();

       FileDetails.Visible = true; //div is made visible
       // Save uploaded file to server at the in the Pics folder
       MyFile.PostedFile.SaveAs(Request.PhysicalApplicationPath + "pics\\ИнтелектИ\\" + UploadedFileName );

		//thumbnail creation starts
		try
		{
		//Read in the image filename whose thumbnail has to be created
		 String imageUrl=  UploadedFileName;

		//Read in the width and height
		int imageHeight =Convert.ToInt32(h.Text);
		int imageWidth  = Convert.ToInt32(w.Text); 
		
		//You may even specify a standard thumbnail size
		//int imageWidth  = 70; 
		//int imageHeight = 70;
	 
		if (imageUrl.IndexOf("/") >= 0 || imageUrl.IndexOf("\\") >= 0 )
		{
		  //We found a / or \
		  Response.End();
		}

		//the uploaded image will be stored in the Pics folder.
		//to get resize the image, the original image has to be accessed from the
		//Pics folder
		imageUrl = "pics/ИнтелектИ/" + imageUrl;
		
		System.Drawing.Image fullSizeImg = System.Drawing.Image.FromFile(Server.MapPath(imageUrl));

		System.Drawing.Image.GetThumbnailImageAbort dummyCallBack = new System.Drawing.Image.GetThumbnailImageAbort(ThumbnailCallback);

		System.Drawing.Image thumbNailImg = fullSizeImg.GetThumbnailImage(imageWidth, imageHeight, dummyCallBack, IntPtr.Zero);
			
		//We need to create a unique filename for each generated image
		DateTime MyDate = DateTime.Now;

	    String MyString  = MyDate.ToString("ddMMyyhhmmss") + ".png" ;

		//Save the thumbnail in Png format. You may change it to a diff format with the ImageFormat property
	    thumbNailImg.Save ( Request.PhysicalApplicationPath + "pics\\ИнтелектИ\\" +   MyString , ImageFormat.Png);

	   thumbNailImg.Dispose();

		//Display the original & the newly generated thumbnail
	   Image1.AlternateText = "Начално изображение";
	   Image1.ImageUrl="pics\\ИнтелектИ\\" + UploadedFileName;
			
	   Image2.AlternateText = "Преоразмерено изображение";
	   Image2.ImageUrl="pics\\ИнтелектИ\\" + MyString;
	 }

	 catch(Exception ex)
	 {
		Response.Write("Грешка - " + ex.ToString());
	 }

}

//this function is reqd for thumbnail creation
public bool ThumbnailCallback()
{
	return false;
}

</script>
<html>
<head>
<title>All Mass Media- Графичен Сървър</title>
<link rel=stylesheet href="../Style/stylesheet1.css">
</head>
<body>
    <form action="fileupload.aspx" method="post" enctype="multipart/form-data" runat="server">
        <h5>Оразмеряване, Качване и Съхраняване на генерирани графични файлове</h5>
        Качване на сървъра: 
        <input id="MyFile" type="file" runat="server" />
        <br/>
        Желана Широчина&nbsp;&nbsp;&nbsp;&nbsp&nbsp;&nbsp: 
        <asp:TextBox id="w" runat="server" name="w" Width="38px"></asp:TextBox>
        <br/>
		Желана Височина&nbsp;&nbsp&nbsp;&nbsp&nbsp;: 
        <asp:TextBox id="h" runat="server" name="h" Width="38px"></asp:TextBox>
        <br/>
        <input type="submit" value="Качване!" runat="server" onserverclick="UploadBtn_Click" />
        <br/>
        <br/>
        <hr/>
        <div id="FileDetails" runat="server" visible="false">ИмеНаФайла: <span id="FileName" runat="server"></span><br/>
        Формат: <span id="MyContentType" runat="server"></span><br/>
        Размер на началния файл: <span id="ContentLength" runat="server">байта</span><br/><br/>
        Начално Изображение : <asp:Image id="Image1" runat="server"></asp:Image></br>
		Преоразмерено Изображение : <asp:Image id="Image2" runat="server"></asp:Image>
        </div>
    </form>
</body> 
</html>
