﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.IO;
using ImgGallery;

namespace ImgWebSample
{
	/// <summary>
	/// Summary description for PicDirectory.
	/// </summary>
	public class Pictures : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Repeater Thumbs;
		protected System.Web.UI.WebControls.DropDownList DirList;
		protected System.Web.UI.HtmlControls.HtmlForm PicDirectory;
		
		private Gallery myGal;
		

		private void Page_Load(object sender, System.EventArgs e)
		{
			/*
			 * 
			 * 
			 *			Edit your stuff here
			 *	
			 *			1) filepath to web site - Server.MapPath(".")
			 *			2) picture directory
			 *			3) gallery XML file
			 * 
			 */
			myGal = new Gallery(Server.MapPath(".") , "pics", Server.MapPath("Galleries.xml"));
							
			if (!IsPostBack)
			{	
				DirList.DataSource=myGal.getGalleries();
				DirList.DataTextField = "name";
				DirList.DataValueField = "folder";
				DirList.DataBind();

				if (null != Request.QueryString["gal"])
				{
					string referncedGallery = Request.QueryString["gal"].ToString();
					if (null != DirList.Items.FindByText(referncedGallery))
					{
						DirList.Items.FindByText(referncedGallery).Selected = true;
					}
					if (null != DirList.Items.FindByValue(referncedGallery))
					{
						DirList.Items.FindByValue(referncedGallery).Selected = true;
					}
					DirList.DataBind();
				}

				
				
				if (null != Request.QueryString["gal"])
					BindRepeater(Request.QueryString["gal"].ToString());
				else
					BindRepeater(DirList.SelectedItem.Value.ToString());
					
	
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.DirList.SelectedIndexChanged += new System.EventHandler(this.DirList_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void DirList_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			BindRepeater(DirList.SelectedItem.Value.ToString());
		}

		public void BindRepeater(string selGallery)
		{
			myGal.generateThumbs(selGallery);
			Thumbs.DataSource = myGal.getThumbs(selGallery);
			Thumbs.DataBind();
		}

		


		
	}
	
}
