<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Data" %>
<%@ Page Language="vb" CodeBehind="announcements_clear.aspx.vb" AutoEventWireup="false" Inherits="announcements.announcements_clear" %>
<HTML>
	<HEAD>
		<title></title>
		<script language="VB" runat="server">

	Sub Page_Load(sender as Object, e as EventArgs)
	End Sub
	
	Sub btnClearAnnouncements_OnClick(sender as Object, e as EventArgs)

		Dim myXmlDocument As String = Server.MapPath("announcements.xml")
		Dim myXmlSchema   As String = Server.MapPath("announcements.xsd")

		Dim myDataSet As New DataSet()
		myDataSet.DataSetName = "Announcements"

        Dim entryDataTable As DataTable = new DataTable("Entry")

        ' Set up the columns in the table
        Dim colName    as DataColumn = new DataColumn("Name", GetType(System.String))
        Dim colDate    as DataColumn = new DataColumn("Date", GetType(System.DateTime))
        Dim colMessage as DataColumn = new DataColumn("Message", GetType(System.String))

        ' Add columns to table
        Dim id as DataColumn = entryDataTable.Columns.Add("ID", GetType(System.Int32))
        id.AutoIncrement = True
        Dim primarykey as DataColumn() = new DataColumn() {id}
        entryDataTable.PrimaryKey = primarykey
        entryDataTable.Columns.Add(colName)
        entryDataTable.Columns.Add(colDate)
        entryDataTable.Columns.Add(colMessage)

        ' Add table to the DataSet
        myDataSet.Tables.Add(entryDataTable)

        ' Add an entry to the table
        Dim myEntry as DataRow = entryDataTable.NewRow()
        myEntry(colName) = "John"
        myEntry(colDate) = Now()
        myEntry(colMessage) = "I hope you like our announcements!"
        entryDataTable.Rows.Add(myEntry)

        ' Commit changes
        myDataSet.AcceptChanges()

        ' Write out schema
        myDataSet.WriteXmlSchema(myXmlSchema)

        'Write out XML data
        myDataSet.WriteXml(myXmlDocument, XmlWriteMode.IgnoreSchema)

		lblAnnouncementsCleared.Text = "Announcements Cleared!"
	End Sub

		</script>
	</HEAD>
	<body>
		<p>
			   -,           
			 ,      .
		</p>
		<form runat="server">
			<asp:Button id="btnClearAnnouncements" text=" " OnClick="btnClearAnnouncements_OnClick"
				runat="server" />
		</form>
		<asp:Label id="lblAnnouncementsCleared" runat="server" />
		<p>
			<a href="announcements.aspx">  </a>
		</p>
	</body>
</HTML>
