<%@ Register TagPrefix="amm" Namespace="amm.controls" Assembly="amm" %>
<%@ Page language="c#" Codebehind="default.aspx.cs" AutoEventWireup="false" Inherits="amm.install._default" %>
<HTML>
	<HEAD>
		<title>  All Mass Media Forum</title>
		<link type="text/css" rel="stylesheet" href="../forum.css">
			<link type="text/css" rel="stylesheet" href="../themes/standard/theme.css">
	</HEAD>
	<body>
		<form runat="server">
			<table class="content" width="100%" cellspacing="1" cellpadding="0">
				<tr>
					<td class="header1">  All Mass Media Forum</td>
				</tr>
				<tr>
					<td class="post">
						<table cellspacing="1" cellpadding="0" width="100%" runat="server" id="stepWelcome">
							<tr>
								<td class="header2" colspan="2"> !</td>
							</tr>
							<tr>
								<td colspan="2">
									<p>
										This installation wizard that will guide you through the installation of All Mass Media Forum.
									</p>
									<p>
										Before you begin you should make sure you have setup your MS SQL server 
										correctly. You can use an existing database, or you can create a new one.
									</p>
									<p>
										To begin the installation, click next.
									</p>
								</td>
							</tr>
						</table>
						<table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false" id="stepConfig">
							<tr>
								<td class="header2" colspan="2">Step 0: Configuration setup</td>
							</tr>
							<tr>
								<td colspan="2">
									<p>
										This step will try to verify your Web.config file. You might need to modify "<%= Server.MapPath("../Web.config") %>".
									</p>
									<asp:placeholder runat="server" id="ConfigSample" visible="False">
										<P>Here is an example &lt;ammnet&gt; section:
										</P>
										<PRE>&lt;configuration&gt;
	&lt;configSections&gt;
		&lt;section name="ammnet" type="amm.SectionHandler,amm" /&gt;
	&lt;/configSections&gt;
	&lt;ammnet&gt;
		&lt;connstr&gt;user id=amm;password=ammpass;data source=(local);initial catalog=ammforum.net&lt;/connstr&gt;
		&lt;root&gt;/ammforum.net/&lt;/root&gt;
		&lt;language&gt;english.xml&lt;/language&gt;
		&lt;theme&gt;standard.xml&lt;/theme&gt;
		&lt;uploaddir&gt;/ammforum.net/upload/&lt;/uploaddir&gt;
	&lt;/ammnet&gt;
&lt;/configuration&gt;
		</PRE>
									</asp:placeholder>
									<p>
										  "",     .
									</p>
								</td>
							</tr>
						</table>
						<table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false" id="stepConnect">
							<tr>
								<td class="header2" colspan="2">Step 1: Connect to database</td>
							</tr>
							<tr>
								<td colspan="2">
									<p>
										You will have to manually modify the connection string found in "<%= Server.MapPath("../Web.config") %>" 
										to point to your database.
									</p>
									<p>
										When you have entered the correct connection string, click next to continue 
										with the installation.
									</p>
								</td>
							</tr>
						</table>
						<table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false" id="stepDatabase">
							<tr>
								<td class="header2">Step 2: Initialize database</td>
							</tr>
							<tr>
								<td>
									<p>
										Your database will now be initialized. In a fresh install this means creating 
										all tables and stored procedures. If this is an update to an already existing 
										version, your database will be updated to the latest version.
									</p>
									<p>
										Click next to setup your database.
									</p>
								</td>
							</tr>
						</table>
						<table width="100%" cellspacing="1" cellpadding="0" runat="server" visible="false" id="stepForum">
							<tr>
								<td colspan="2" class="header2">Step 3: Create Forum</td>
							</tr>
							<tr>
								<td class="postheader"><b>  :</b><br>
									  .</td>
								<td class="post">
									<asp:TextBox id="TheForumName" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b> :</b><br>
								</td>
								<td class="post">
									<asp:DropDownList id="TimeZones" runat="server" DataTextField="Name" DataValueField="Value"></asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b>Email  :</b><br>
									 email   .</td>
								<td class="post">
									<asp:TextBox id="ForumEmailAddress" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b>SMTP :</b><br>
									  smtp       .</td>
								<td class="post">
									<asp:TextBox id="SmptServerAddress" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b>   :</b><br>
									   .</td>
								<td class="post">
									<asp:TextBox id="UserName" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b>Email  :</b><br>
									   .</td>
								<td class="post">
									<asp:TextBox id="AdminEmail" runat="server"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b> :</b><br>
									  .</td>
								<td class="post">
									<asp:TextBox id="Password1" runat="server" TextMode="Password"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="postheader"><b> :</b><br>
									  .</td>
								<td class="post">
									<asp:TextBox id="Password2" runat="server" TextMode="Password"></asp:TextBox>
								</td>
							</tr>
						</table>
						<table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false" id="stepFinished">
							<tr>
								<td class="header2"></td>
							</tr>
							<tr>
								<td>
									<p>
										      .    - ,   
										          
										 .
									</p>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td class="footer1" align="center">
						<asp:button id="back" text="" runat="server" enabled="false"></asp:button>
						<asp:button id="next" text="" runat="server"></asp:button>
						<asp:button id="finish" text="" runat="server" enabled="false"></asp:button>
						<asp:label id="cursteplabel" runat="server" visible="false"></asp:label>
					</td>
				</tr>
			</table>
			<amm:savescrollpos runat="server" id="Savescrollpos1" />
		</form>
	</body>
</HTML>
